Get list of card payments

Get a list of payments made towards your card balance. By default, you get 20 results on one page of results. Set max in your request to get up to 100 results on one page.

The payments are for your company, which is determined by your authentication. Card payments are not linked to individual transactions.

Query Params
int64 | null
1 to 100

Maximum number of results

string | null

Next page of results.

When a list has multiple pages, the nextPage and prevPage values in the response enable you to navigate between the pages of results. Set this field as the nextPage value for navigation.

string | null

Previous page of results. Set this field as the prevPage value for navigation.

string | null

Field name, operator, and value. You can set multiple filters.

The format is filters={field_01}:{op}:{value},{field_02}:{op}:{value}.

Example: filters=status:eq:POSTED,submittedDate:gte:2025-01-31

The filterable fields are:

  • status - PENDING, POSTED, RETURNED. Operators: eq.
  • submittedDate - Date in yyyy-MM-dd format (UTC). Operators: gte, lte. submittedDate:gte:2025-01-31 returns payments submitted from 2025-01-31 onward, and submittedDate:lte:2025-03-01 returns payments submitted up to and including 2025-03-01.
Headers
string | null

Access token for Spend & Expense API authentication

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json